Skip to navigation

Get a VM package by ID

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

idstringRequired
ID of the VM package to get

Response

The VM package
idstring
VM Package ID
labelstring
Internal label identifier for the VM Package
descriptionstring

Human-readable display name for the VM Package

minCpudouble
Minimum number of CPUs
maxCpudouble
Maximum number of CPUs
minRootDiskGbdouble
Minimum root disk size in GB
maxRootDiskGbdouble
Maximum root disk size in GB
minMemoryMbdouble
Minimum memory in MB
maxMemoryMbdouble
Maximum memory in MB
tierstring
Performance tier
zoneslist of strings
Array of zone IDs where this package is available
cpuintegerDeprecated

Number of CPUs (deprecated, use minCpu instead)

rootDiskGbintegerDeprecated

Root disk size in GB (deprecated, use minRootDiskGb instead)

memoryMbintegerDeprecated

Memory in MB (deprecated, use minMemoryMb instead)

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error